package jwars.data;

import java.util.Scanner;

import java.awt.image.BufferedImage;

import jwars.Util;

public class HullCategory {

  public final static String CATEGORY_NAME = "hull";

  public final ArmourCategory armour;
  public final BufferedImage graphics;

  public HullCategory(ArmourCategory armour, BufferedImage image){
    this.armour = armour;
    this.graphics = image;
  }

  public HullCategory(Scanner input){
    armour = new ArmourCategory(input);
    graphics = Util.readImage(input.next());
  }

}
