package jwars.model.map;

import java.util.ArrayList;
import java.util.List;
import jwars.model.structures.TerrainObject;

import jwars.model.Collider;

public class CollisionTile{

  public final List<Collider> colliders = new ArrayList<Collider>(0);
  public final List<TerrainObject> terrainItems = new ArrayList<TerrainObject>(0);

  public CollisionTile(){}

  public void register(Collider content){
    colliders.add(content);
  }
  public void registerT(TerrainObject content){
   terrainItems.add(content);
 }
  public void remove(Collider content){
    colliders.remove(content);
  }
  public void removeT(TerrainObject content){
    terrainItems.remove(content);
  }


  /*public void drawContents(java.awt.Graphics2D g2d){
    for(Unit u : colliders){
      u.getDrawable().draw(g2d);
    }
  }*/

}
