package jwars.test;

import jwars.model.units.Team;
import jwars.model.units.Teams;

public class Player{

  private Team team;
  private String name;

  public Player(String name, Team team){
    setName(name);
    setTeam(team);
  }

  public Player(){
    this("John Doe", Teams.GERMANY);
  }

  public synchronized Team getTeam(){
    return team;
  }

  public synchronized void setTeam(Team team){
    this.team = team;
  }

  public synchronized String getName(){
    return name;
  }

  public synchronized void setName(String name){
    this.name = name;
  }

  public synchronized String toString(){
    return name;
  }

}
