package jwars.control;

import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;
import java.awt.event.MouseWheelEvent;

public abstract class StateAdapter implements ControlState {

  public ControlState keyTyped(KeyEvent e){
    return this;
  }

  public ControlState keyPressed(KeyEvent e){
    return this;
  }

  public ControlState keyReleased(KeyEvent e){
    return this;
  }

  public ControlState mouseDragged(MouseEvent e){
    return this;
  }

  public ControlState mouseMoved(MouseEvent e){
    return this;
  }

  public ControlState mouseClicked(MouseEvent e){
    return this;
  }

  public ControlState mousePressed(MouseEvent e){
    return this;
  }

  public ControlState mouseReleased(MouseEvent e){
    return this;
  }

  public ControlState mouseEntered(MouseEvent e){
    return this;
  }

  public ControlState mouseExited(MouseEvent e){
    return this;
  }

  public ControlState mouseWheelMoved(MouseWheelEvent e){
    return this;
  }
}
