package jwars.control;

import java.awt.event.*;

public class StateManager implements MouseListener, MouseMotionListener, MouseWheelListener, KeyListener {

  private ControlState currentState;

  public StateManager(ControlState nullState){
    this.currentState = nullState;
  }

  public ControlState getCurrentState(){
    return currentState;
  }

  public void keyTyped(KeyEvent e){
    currentState = currentState.keyTyped(e);
  }

  public void keyPressed(KeyEvent e){
    currentState = currentState.keyPressed(e);
  }

  public void keyReleased(KeyEvent e){
    currentState = currentState.keyReleased(e);
  }

  public void mouseDragged(MouseEvent e){
    currentState = currentState.mouseDragged(e);
  }

  public void mouseMoved(MouseEvent e){
    currentState = currentState.mouseMoved(e);
  }

  public void mouseClicked(MouseEvent e){
    currentState = currentState.mouseClicked(e);
  }

  public void mousePressed(MouseEvent e){
    currentState = currentState.mousePressed(e);
  }

  public void mouseReleased(MouseEvent e){
    currentState = currentState.mouseReleased(e);
  }

  public void mouseEntered(MouseEvent e){
    currentState = currentState.mouseEntered(e);
  }

  public void mouseExited(MouseEvent e){
    currentState = currentState.mouseExited(e);
  }

  public void mouseWheelMoved(MouseWheelEvent e){
    currentState = currentState.mouseWheelMoved(e);
  }

}
