package jwars.data;

import java.util.Scanner;

import jwars.model.Moveable;
import jwars.model.units.InfantrySquad;

public class InfantryCategory extends MoveableCategory {

  public final int squadSize;
  public final static String CATEGORY_NAME = "infantry";

  public InfantryCategory(Loader loader, Scanner scanner){
    super(loader, scanner);
    squadSize = scanner.nextInt();
  }

  public Moveable create(){
    InfantrySquad sqd = new InfantrySquad(this);
    return sqd;
  }

}
