package jwars.net;

import java.io.DataInput;
import java.io.DataInputStream;
import java.io.DataOutput;
import java.io.DataOutputStream;
import java.io.IOException;

public interface ClientEventHandler{

  public void handShake(int clientNumber, DataInputStream input,
                        DataOutputStream output) throws IOException;

  public void clientRemoved(int clientNumber, DataInput input) throws IOException;

  public void clientJoined(int clientNumber, DataInput input) throws IOException;

  public void clientPropertyChanged(int clientNumber, DataInput input) throws IOException;

  public void writeClientProperties(DataOutput output) throws IOException;

}
